<?php

define('DEFAULT_DATE_SEPARATOR', '-');
define('DEFAULT_DATE_FORMAT', 'd' . DEFAULT_DATE_SEPARATOR . 'm' . DEFAULT_DATE_SEPARATOR . 'Y'); // 'd-m-Y'.

/**
 * Checks the validity of the date, using "checkdate()" function. Leap years are also taken into consideration.
 *
 * @param $date The input date.
 * @return True if the date is valid, false if it is not.
 */
function validateDate($date) {
    list($day, $month, $year) = explode(DEFAULT_DATE_SEPARATOR, $date);

    $validDate = checkdate($month, $day, $year); // Not a typo; the month is the first parameter, and the day the second.

    return $validDate;
}

// Flow starts here.

$inputDate = $_GET['input-date'];
$validDate = validateDate($inputDate);

if ($validDate) {
    $response = "The date $inputDate is valid.";
} else {
    $response = "Error: the date $inputDate is not correct.";
}

echo $response;
